package com.lukouguoji.aerologic.page.gnj.jiaojie

import android.content.Context
import android.content.Intent
import android.os.Bundle
import android.widget.CheckBox
import com.lukouguoji.aerologic.R
import com.lukouguoji.aerologic.databinding.ActivityGnjHandoverListBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.ktx.addOnItemClickListener
import com.lukouguoji.module_base.ktx.getLifecycleOwner

class GnjHandoverListActivity :
    BaseBindingActivity<ActivityGnjHandoverListBinding, GnjHandoverListViewModel>() {

    override fun layoutId() = R.layout.activity_gnj_handover_list

    override fun viewModelClass() = GnjHandoverListViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国内进港交接")

        binding.viewModel = viewModel


        viewModel.pageModel.bindSmartRefreshLayout(
            binding.srl,
            binding.rv,
            viewModel,
            getLifecycleOwner()
        )

        viewModel.refresh()
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, GnjHandoverListActivity::class.java)
            context.startActivity(starter)
        }
    }

}